Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 777)
+++ src/mlx/gui/flight.py	(revision 739)
@@ -3167,7 +2474,7 @@
             self._pump()
         elif self._wizard.usingSimBrief:
-            self._wizard.jumpPage("takeoff")
+            self._wizard.jumpPage(3)
         else:
-            self._wizard.jumpPage("briefing1")
+            self._wizard.nextPage()
 
     def _setupTanks(self, tankData):
@@ -3215,5 +2522,5 @@
             if self._wizard.usingSimBrief:
                 self._wizard.gui.startMonitoring()
-                self._wizard.jumpPage("takeoff")
+                self._wizard.jumpPage(3)
             else:
                 bookedFlight = self._wizard._bookedFlight
@@ -3284,13 +2591,9 @@
         self._departure = departure
 
-        number = 1 if departure else 2
-
-        title = xstr("briefing_title") % (number,
+        title = xstr("briefing_title") % (1 if departure else 2,
                                           xstr("briefing_departure")
                                           if departure
                                           else xstr("briefing_arrival"))
-        super(BriefingPage, self).__init__(wizard,
-                                           "briefing%d" % (number,),
-                                           title, xstr("briefing_help"),
+        super(BriefingPage, self).__init__(wizard, title, xstr("briefing_help"),
                                            completedHelp = xstr("briefing_chelp"))
 
@@ -3479,6 +2782,5 @@
     def __init__(self, wizard):
         """Construct the takeoff page."""
-        super(TakeoffPage, self).__init__(wizard, "takeoff",
-                                          xstr("takeoff_title"),
+        super(TakeoffPage, self).__init__(wizard, xstr("takeoff_title"),
                                           xstr("takeoff_help"),
                                           completedHelp = xstr("takeoff_chelp"))
@@ -3968,6 +3270,5 @@
     def __init__(self, wizard):
         """Construct the page."""
-        super(CruisePage, self).__init__(wizard, "cruise",
-                                         xstr("cruise_title"),
+        super(CruisePage, self).__init__(wizard, xstr("cruise_title"),
                                          xstr("cruise_help"))
 
@@ -4083,6 +3384,5 @@
     def __init__(self, wizard):
         """Construct the landing page."""
-        super(LandingPage, self).__init__(wizard, "landing",
-                                          xstr("landing_title"),
+        super(LandingPage, self).__init__(wizard, xstr("landing_title"),
                                           xstr("landing_help"),
                                           completedHelp = xstr("landing_chelp"))
@@ -4350,18 +3650,15 @@
     def _forwardClicked(self, button):
         """Called when the forward button is clicked."""
-        wizard = self._wizard
-
-        aircraft = wizard.gui.flight.aircraft
+        aircraft = self._wizard.gui.flight.aircraft
         aircraft.updateVRef()
         aircraft.updateLandingAntiIce()
-        if wizard.gui.config.onlineGateSystem and \
-           wizard.loggedIn and not self._completed and \
-           wizard.bookedFlight.arrivalICAO=="LHBP" and \
-           not wizard.entranceExam:
-            wizard.getFleet(callback = self._fleetRetrieved, force = True)
-        elif wizard.entranceExam:
-            self._handleEntranceExamDone()
+        if self._wizard.gui.config.onlineGateSystem and \
+           self._wizard.loggedIn and not self._completed and \
+           self._wizard.bookedFlight.arrivalICAO=="LHBP" and \
+           not self._wizard.entranceExam:
+            self._wizard.getFleet(callback = self._fleetRetrieved,
+                                  force = True)
         else:
-            wizard.nextPage()
+            self._wizard.nextPage()
 
     def _fleetRetrieved(self, fleet):
@@ -4389,144 +3686,4 @@
             self._updatingMETAR = False
 
-    def _handleEntranceExamDone(self):
-        """Handle the end of the entrance exam.
-
-        If the there was a NO-GO fault, notify the user that exam is a failure
-        and take them back to the student page. Otherwise congratulate, update
-        the database to reflect that the exam has been taken and go back to the
-        student page."""
-        self._wizard.jumpPage("chkfinish")
-
-#-----------------------------------------------------------------------------
-
-class PIREPSaveHelper(object):
-    """A helper to use for saving PIREPs."""
-    def __init__(self, wizard):
-        """Construct the helper."""
-        super(PIREPSaveHelper, self).__init__()
-
-        self._wizard = wizard
-
-        self._lastSavePath = None
-        self._savePIREPDialog = None
-
-    def addButton(self, page):
-        """Add a button to save the PIREP to the given page."""
-        return page.addButton(xstr("finish_save"), sensitive = False,
-                              clicked = self._saveClicked,
-                              tooltip = xstr("finish_save_tooltip"),
-                              clickedArg = page)
-
-    def autoSavePIREP(self, page):
-        """Perform the automatic saving of the PIREP."""
-        self._lastSavePath = os.path.join(self._wizard.gui.config.pirepDirectory,
-                                          self._getDefaultPIREPName())
-        self._lastSavePath = text2unicode(self._lastSavePath)
-        self._savePIREP(page, automatic = True)
-
-    def _getDefaultPIREPName(self):
-        """Get the default name of the PIREP."""
-        gui = self._wizard.gui
-
-        bookedFlight = gui.bookedFlight
-        tm = time.gmtime()
-
-        pilotID = self._wizard.pilotID
-        if pilotID: pilotID += " "
-        return "%s%s %02d%02d %s-%s.pirep" % \
-               (pilotID, str(bookedFlight.departureTime.date()),
-                tm.tm_hour, tm.tm_min,
-                bookedFlight.departureICAO, bookedFlight.arrivalICAO)
-
-    def _saveClicked(self, button, page):
-        """Called when the Save PIREP button is clicked."""
-        gui = self._wizard.gui
-
-        fileName = self._getDefaultPIREPName()
-
-        dialog = self._getSaveDialog()
-
-        if self._lastSavePath is None:
-            pirepDirectory = gui.config.pirepDirectory
-            if pirepDirectory is not None:
-                dialog.set_current_folder(pirepDirectory)
-        else:
-            dialog.set_current_folder(os.path.dirname(self._lastSavePath))
-
-        dialog.set_current_name(fileName)
-        result = dialog.run()
-        dialog.hide()
-
-        if result==RESPONSETYPE_OK:
-            self._lastSavePath = text2unicode(dialog.get_filename())
-            self._savePIREP(page)
-
-    def _savePIREP(self, page, automatic = False):
-        """Perform the saving of the PIREP."""
-
-        gui = self._wizard.gui
-
-        if automatic:
-            gui.beginBusy(xstr("finish_autosave_busy"))
-
-        pirep = PIREP(gui.flight)
-        error = pirep.save(self._lastSavePath)
-
-        if automatic:
-            gui.endBusy()
-
-        if error:
-            type = MESSAGETYPE_ERROR
-            message = xstr("finish_save_failed")
-            secondary = xstr("finish_save_failed_sec") % (text2unicode(error),)
-        else:
-            type = MESSAGETYPE_INFO
-            message = xstr("finish_save_done")
-            if automatic:
-                secondary = xstr("finish_save_done_sec") % (self._lastSavePath,)
-            else:
-                secondary = None
-            page.setPIREPSaved()
-
-        dialog = gtk.MessageDialog(parent = gui.mainWindow,
-                                   type = type, message_format = message)
-        dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
-        dialog.set_title(WINDOW_TITLE_BASE)
-        if secondary is not None:
-            dialog.format_secondary_markup(secondary)
-
-        dialog.run()
-        dialog.hide()
-
-    def _getSaveDialog(self):
-        """Get the PIREP saving dialog.
-
-        If it does not exist yet, create it."""
-        if self._savePIREPDialog is None:
-            gui = self._wizard.gui
-            dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
-                                           xstr("finish_save_title"),
-                                           action = FILE_CHOOSER_ACTION_SAVE,
-                                           buttons = (gtk.STOCK_CANCEL,
-                                                      RESPONSETYPE_CANCEL,
-                                                      gtk.STOCK_OK, RESPONSETYPE_OK),
-                                           parent = gui.mainWindow)
-            dialog.set_modal(True)
-            dialog.set_do_overwrite_confirmation(True)
-
-            filter = gtk.FileFilter()
-            filter.set_name(xstr("file_filter_pireps"))
-            filter.add_pattern("*.pirep")
-            dialog.add_filter(filter)
-
-            filter = gtk.FileFilter()
-            filter.set_name(xstr("file_filter_all"))
-            filter.add_pattern("*.*")
-            dialog.add_filter(filter)
-
-            self._savePIREPDialog = dialog
-
-        return self._savePIREPDialog
-
 #-----------------------------------------------------------------------------
 
@@ -4538,9 +3695,8 @@
                      ("flighttype_charter", const.FLIGHTTYPE_CHARTER) ]
 
-    def __init__(self, wizard, saveHelper):
+    def __init__(self, wizard):
         """Construct the finish page."""
         help = xstr("finish_help") + xstr("finish_help_goodtime")
-        super(FinishPage, self).__init__(wizard, "finish",
-                                         xstr("finish_title"), help)
+        super(FinishPage, self).__init__(wizard, xstr("finish_title"), help)
 
         alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
@@ -4725,6 +3881,10 @@
         self.addPreviousButton(clicked = self._backClicked)
 
-        self._saveHelper = saveHelper
-        self._saveButton = saveHelper.addButton(self)
+        self._saveButton = self.addButton(xstr("finish_save"),
+                                          sensitive = False,
+                                          clicked = self._saveClicked,
+                                          tooltip = xstr("finish_save_tooltip"))
+        self._savePIREPDialog = None
+        self._lastSavePath = None
 
         self._tooBigTimeDifference = False
@@ -4826,5 +3986,5 @@
         if gui.config.pirepAutoSave and sensitive and not wasSensitive:
             if gui.isWizardActive():
-                self._saveHelper.autoSavePIREP(self)
+                self._autoSavePIREP()
             else:
                 self._deferredAutoSave = True
@@ -4841,10 +4001,13 @@
         super(FinishPage, self).grabDefault()
         if self._deferredAutoSave:
-            self._saveHelper.autoSavePIREP(self)
+            self._autoSavePIREP()
             self._deferredAutoSave = False
 
-    def setPIREPSaved(self):
-        """Mark the PIREP as saved."""
-        self._pirepSaved = True
+    def _autoSavePIREP(self):
+        """Perform the automatic saving of the PIREP."""
+        self._lastSavePath = os.path.join(self._wizard.gui.config.pirepDirectory,
+                                          self._getDefaultPIREPName())
+        self._lastSavePath = text2unicode(self._lastSavePath)
+        self._savePIREP(automatic = True)
 
     def _backClicked(self, button):
@@ -4878,4 +4041,110 @@
 
         gui.reset()
+
+    def _getDefaultPIREPName(self):
+        """Get the default name of the PIREP."""
+        gui = self._wizard.gui
+
+        bookedFlight = gui.bookedFlight
+        tm = time.gmtime()
+
+        pilotID = self._wizard.pilotID
+        if pilotID: pilotID += " "
+        return "%s%s %02d%02d %s-%s.pirep" % \
+               (pilotID, str(bookedFlight.departureTime.date()),
+                tm.tm_hour, tm.tm_min,
+                bookedFlight.departureICAO, bookedFlight.arrivalICAO)
+
+
+    def _saveClicked(self, button):
+        """Called when the Save PIREP button is clicked."""
+        gui = self._wizard.gui
+
+        fileName = self._getDefaultPIREPName()
+
+        dialog = self._getSaveDialog()
+
+        if self._lastSavePath is None:
+            pirepDirectory = gui.config.pirepDirectory
+            if pirepDirectory is not None:
+                dialog.set_current_folder(pirepDirectory)
+        else:
+            dialog.set_current_folder(os.path.dirname(self._lastSavePath))
+
+        dialog.set_current_name(fileName)
+        result = dialog.run()
+        dialog.hide()
+
+        if result==RESPONSETYPE_OK:
+            self._lastSavePath = text2unicode(dialog.get_filename())
+            self._savePIREP()
+
+    def _savePIREP(self, automatic = False):
+        """Perform the saving of the PIREP."""
+
+        gui = self._wizard.gui
+
+        if automatic:
+            gui.beginBusy(xstr("finish_autosave_busy"))
+
+        pirep = PIREP(gui.flight)
+        error = pirep.save(self._lastSavePath)
+
+        if automatic:
+            gui.endBusy()
+
+        if error:
+            type = MESSAGETYPE_ERROR
+            message = xstr("finish_save_failed")
+            secondary = xstr("finish_save_failed_sec") % (text2unicode(error),)
+        else:
+            type = MESSAGETYPE_INFO
+            message = xstr("finish_save_done")
+            if automatic:
+                secondary = xstr("finish_save_done_sec") % (self._lastSavePath,)
+            else:
+                secondary = None
+            self._pirepSaved = True
+
+        dialog = gtk.MessageDialog(parent = gui.mainWindow,
+                                   type = type, message_format = message)
+        dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
+        dialog.set_title(WINDOW_TITLE_BASE)
+        if secondary is not None:
+            dialog.format_secondary_markup(secondary)
+
+        dialog.run()
+        dialog.hide()
+
+    def _getSaveDialog(self):
+        """Get the PIREP saving dialog.
+
+        If it does not exist yet, create it."""
+        if self._savePIREPDialog is None:
+            gui = self._wizard.gui
+            dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
+                                           xstr("finish_save_title"),
+                                           action = FILE_CHOOSER_ACTION_SAVE,
+                                           buttons = (gtk.STOCK_CANCEL,
+                                                      RESPONSETYPE_CANCEL,
+                                                      gtk.STOCK_OK, RESPONSETYPE_OK),
+                                           parent = gui.mainWindow)
+            dialog.set_modal(True)
+            dialog.set_do_overwrite_confirmation(True)
+
+            filter = gtk.FileFilter()
+            filter.set_name(xstr("file_filter_pireps"))
+            filter.add_pattern("*.pirep")
+            dialog.add_filter(filter)
+
+            filter = gtk.FileFilter()
+            filter.set_name(xstr("file_filter_all"))
+            filter.add_pattern("*.*")
+            dialog.add_filter(filter)
+
+            self._savePIREPDialog = dialog
+
+        return self._savePIREPDialog
+
 
     def _sendClicked(self, button):
@@ -4972,121 +4241,4 @@
 #-----------------------------------------------------------------------------
 
-class CheckFlightFinishPage(Page):
-    """Finish page for a check flight."""
-    def __init__(self, wizard, saveHelper):
-        """Construct the check flight finish page."""
-        super(CheckFlightFinishPage, self).__init__(wizard,
-                                                    "chkfinish",
-                                                    xstr("chkfinish_title"),
-                                                    "")
-
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
-                                  xscale = 1.0, yscale = 1.0)
-        self._label = gtk.Label()
-        alignment.add(self._label)
-
-        self.setMainWidget(alignment)
-
-        self._saveHelper = saveHelper
-        self._saveButton = saveHelper.addButton(self)
-
-        self._button = self.addNextButton(sensitive = False,
-                                          clicked =  self._forwardClicked)
-
-    def activate(self):
-        """Activate the page."""
-        wizard = self._wizard
-        loginResult = wizard.loginResult
-        gui = wizard.gui
-        rating = gui.flight.logger.getRating()
-
-        if rating>=0:
-            loginResult.checkFlightStatus = True
-
-        firstOfficer = \
-          loginResult.entryExamPassed and loginResult.checkFlightStatus
-
-        if firstOfficer:
-            loginResult.rank = "FO"
-
-        if rating<0:
-            mainMessage = xstr("chkfinish_failed")
-        else:
-            mainMessage = xstr("chkfinish_passed_begin")
-            if firstOfficer:
-                mainMessage += xstr("chkfinish_passed_fo")
-            mainMessage += xstr("chkfinish_passed_end")
-
-        if firstOfficer:
-            nextMessage = xstr("chkfinish_next")
-        else:
-            nextMessage = xstr("chkfinish_next_student_begin")
-            if not loginResult.entryExamPassed and \
-               not loginResult.checkFlightStatus:
-                nextMessage += xstr("chkfinish_next_student_nothing")
-            elif loginResult.entryExamPassed and \
-                 not loginResult.checkFlightStatus:
-                nextMessage += xstr("chkfinish_next_student_no_flight")
-            elif not loginResult.entryExamPassed and \
-                 loginResult.checkFlightStatus:
-                nextMessage += xstr("chkfinish_next_student_no_exam")
-
-        self._label.set_text(mainMessage +
-                             xstr("chkfinish_savepirep") +
-                             nextMessage)
-        self._label.set_use_markup(True)
-        self._label.set_alignment(0.5, 0.0)
-
-        self._saveButton.set_sensitive(True)
-        self._button.set_sensitive(True)
-
-    def _forwardClicked(self, button):
-        """Jump to the student page if there are some tasks to do,
-        or to the flight selection page, if the pilot is allowed to perform
-        MAVA flights."""
-        wizard = self._wizard
-        gui = wizard.gui
-
-        loginResult = wizard.loginResult
-        if loginResult.checkFlightStatus:
-            gui.beginBusy(xstr("chkfinish_updateweb_busy"))
-            gui.webHandler.setCheckFlightPassed(self._checkFlightPassedSetCallback,
-                                                wizard.checkFlightAircraftType)
-        else:
-            self._resetGUI()
-
-    def _checkFlightPassedSetCallback(self, returned, result):
-        """Called when the check flight status has been set."""
-        gobject.idle_add(self._checkFlightPassedSet, returned, result)
-
-    def _checkFlightPassedSet(self, returned, result):
-        """Handle the result of an attempt to set the check flight status."""
-        gui = self._wizard.gui
-
-        gui.endBusy()
-
-        if returned:
-            self._resetGUI()
-        else:
-            dialog = gtk.MessageDialog(parent = gui.mainWindow,
-                                       type = MESSAGETYPE_ERROR,
-                                       message_format =
-                                       xstr("chkfinish_passedset_failed"))
-            dialog.set_title(WINDOW_TITLE_BASE + " - " +
-                             xstr("chkfinish_passedset_failed_title"))
-            dialog.format_secondary_markup(xstr("chkfinish_passedset_failed_secondary"))
-
-            dialog.add_button(xstr("button_ok"), 0)
-
-            dialog.run()
-            dialog.hide()
-
-    def _resetGUI(self):
-        """Reset the GUI."""
-        gui = self._wizard.gui
-        gui.reset()
-
-#-----------------------------------------------------------------------------
-
 class Wizard(gtk.VBox):
     """The flight wizard."""
@@ -5104,7 +4256,4 @@
         self._pages.append(FlightSelectionPage(self))
         self._pages.append(GateSelectionPage(self))
-        self._pages.append(RegisterPage(self))
-        self._studentPage = StudentPage(self)
-        self._pages.append(self._studentPage)
         self._pages.append(ConnectPage(self))
         self._payloadPage = PayloadPage(self)
@@ -5130,10 +4279,6 @@
         self._landingPage = LandingPage(self)
         self._pages.append(self._landingPage)
-
-        pirepSaveHelper = PIREPSaveHelper(self)
-
-        self._finishPage = FinishPage(self, pirepSaveHelper)
+        self._finishPage = FinishPage(self)
         self._pages.append(self._finishPage)
-        self._pages.append(CheckFlightFinishPage(self, pirepSaveHelper))
 
         self._requestedWidth = None
@@ -5183,5 +4328,5 @@
     def entranceExam(self):
         """Get whether an entrance exam is about to be taken."""
-        return self._loginResult is not None and self._loginResult.rank=="STU"
+        return self._loginPage.entranceExam
 
     @property
@@ -5194,9 +4339,4 @@
         """Get the login result."""
         return self._loginResult
-
-    @property
-    def checkFlightAircraftType(self):
-        """Get the type of the aircraft used to perform the check flight."""
-        return self._studentPage.aircraftType
 
     def setCurrentPage(self, index, finalize = False, fromPageShift = None):
@@ -5411,14 +4551,9 @@
     def nextPage(self, finalize = True):
         """Go to the next page."""
-        nextPageID = self._pages[self._currentPage].nextPageID
-        self.jumpPage(1 if nextPageID is None else nextPageID, finalize)
-
-    def jumpPage(self, countOrID, finalize = True, fromPageShift = None):
+        self.jumpPage(1, finalize)
+
+    def jumpPage(self, count, finalize = True, fromPageShift = None):
         """Go to the page which is 'count' pages after the current one."""
-        if isinstance(countOrID, str):
-            targetIndex = self._getIndexOf(countOrID)
-        else:
-            targetIndex = self._currentPage + countOrID
-        self.setCurrentPage(targetIndex,
+        self.setCurrentPage(self._currentPage + count,
                             finalize = finalize, fromPageShift = fromPageShift)
 
@@ -5481,5 +4616,5 @@
         #self.setCurrentPage(10)
 
-    def login(self, callback, pilotID, password):
+    def login(self, callback, pilotID, password, entranceExam):
         """Called when the login button was clicked."""
         self._loginCallback = callback
@@ -5489,4 +4624,5 @@
             pilotID = loginResult.pilotID
             password = loginResult.password
+            entranceExam = loginResult.entranceExam
             busyMessage = xstr("reload_busy")
         else:
@@ -5497,20 +4633,10 @@
 
         self.gui.webHandler.login(self._loginResultCallback,
-                                  pilotID, password)
+                                  pilotID, password,
+                                  entranceExam = entranceExam)
 
     def reloadFlights(self, callback):
         """Reload the flights from the MAVA server."""
-        self.login(callback, None, None)
-
-    def cancelFlight(self, reloadCallback):
-        """Cancel the flight.
-
-        If it is an entry exam flight, we go back to the student page.
-        Otherwise we reload the flights."""
-        if self.entranceExam:
-            self.reset(None)
-            self.jumpPage("student")
-        else:
-            self.reloadFlights(reloadCallback)
+        self.login(callback, None, None, None)
 
     def cruiseLevelChanged(self):
@@ -5661,13 +4787,3 @@
                 self._arrivalBriefingPage.setMETAR(metar)
 
-    def _getIndexOf(self, pageID):
-        """Get the index for the given page ID.
-
-        It is an assertion failure if the ID is not found."""
-        for index in range(0, len(self._pages)):
-            page = self._pages[index]
-            if page.id==pageID:
-                return index
-        assert False
-
 #-----------------------------------------------------------------------------
Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 769)
+++ src/mlx/gui/gui.py	(revision 746)
@@ -447,6 +447,4 @@
                                     self._mainWindow)
             self._updater.start()
-        else:
-            self.updateDone()
 
         cef.initialize(self._programDirectory, self._cefInitialized)
@@ -459,8 +457,4 @@
 
         self._disconnect()
-
-    def updateDone(self):
-        """Called when the update is done (and there is no need to restart)."""
-        gobject.idle_add(self._updateDone)
 
     def connected(self, fsType, descriptor):
@@ -581,5 +575,5 @@
 
         if self.loggedIn:
-            self._wizard.cancelFlight(self._handleReloadResult)
+            self._wizard.reloadFlights(self._handleReloadResult)
         else:
             self._wizard.reset(None)
@@ -1700,24 +1694,2 @@
             self._credentialsAvailable = True
             self._credentialsCondition.notify()
-
-    def _updateDone(self):
-        """Called when the update is done.
-
-        It checks if we already know the PID, and if not, asks the user whether
-        to register."""
-        if not self.config.pilotID and not self.config.password:
-            dialog = gtk.MessageDialog(parent = self._mainWindow,
-                                       type = MESSAGETYPE_QUESTION,
-                                       message_format = xstr("register_ask"))
-
-            dialog.set_title(WINDOW_TITLE_BASE)
-            dialog.format_secondary_markup(xstr("register_ask_sec"))
-
-            dialog.add_button(xstr("button_cancel"), 0)
-            dialog.add_button(xstr("button_register"), 1)
-            dialog.set_default_response(1)
-
-            result = dialog.run()
-            dialog.hide()
-            if result == 1:
-                self._wizard.jumpPage("register")
Index: src/mlx/gui/monitor.py
===================================================================
--- src/mlx/gui/monitor.py	(revision 765)
+++ src/mlx/gui/monitor.py	(revision 680)
@@ -378,8 +378,5 @@
                 for n1 in aircraftState.n1:
                     if n1Str: n1Str += ", "
-                    if n1 is None:
-                        n1Str += "?"
-                    else:
-                        n1Str += "%.0f" % (n1,)
+                    n1Str += "%.0f" % (n1,)
             elif aircraftState.rpm is not None:
                 n1Str = ""
Index: src/mlx/gui/update.py
===================================================================
--- src/mlx/gui/update.py	(revision 755)
+++ src/mlx/gui/update.py	(revision 300)
@@ -124,5 +124,4 @@
         if not self._waitAfterFinish:
             gobject.idle_add(self._progressWindow.hide)
-            self._gui.updateDone()
 
     def downloadingManifest(self):
@@ -287,6 +286,4 @@
         if self._restart:
             self._gui.restart()
-        else:
-            self._gui.updateDone()
 
 #-------------------------------------------------------------------------------
Index: src/mlx/pirep.py
===================================================================
--- src/mlx/pirep.py	(revision 778)
+++ src/mlx/pirep.py	(revision 743)
@@ -104,9 +104,4 @@
 
     @property
-    def flightDateText(self):
-        """Get the text version of the booked flight's departure time."""
-        return self.bookedFlight.departureTime.strftime("%Y-%m-%d")
-
-    @property
     def flightTypeText(self):
         """Get the text representation of the flight type."""
@@ -199,8 +194,4 @@
         attrs = {}
         attrs["log"] = self.getACARSText()
-        attrs["flightDate"] = self.flightDateText
-        attrs["callsign"] = self.bookedFlight.callsign
-        attrs["departureICAO"] = self.bookedFlight.departureICAO
-        attrs["arrivalICAO"] = self.bookedFlight.arrivalICAO
         attrs["numPassengers"] = self.numPassengers
         attrs["numCrew"] = self.numCrew
@@ -232,5 +223,5 @@
         attrs["flownDistance"] = self.flownDistance
         # FIXME: it should be stored in the PIREP when it is sent later
-        attrs["performDate"] = datetime.date.today().strftime("%Y-%m-%d")
+        attrs["flightDate"] = datetime.date.today().strftime("%Y-%m-%d")
 
         return ([], attrs)
